org.apache.solr.client.solrj.cloud.autoscaling

## Enum TriggerEventProcessorStage

- java.lang.Object
- - java.lang.Enum<TriggerEventProcessorStage>
  - - org.apache.solr.client.solrj.cloud.autoscaling.TriggerEventProcessorStage

All Implemented Interfaces:
  Serializable, Comparable<TriggerEventProcessorStage>

    public enum TriggerEventProcessorStage
    extends Enum<TriggerEventProcessorStage>

Enum that represents the stages of trigger event processing.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORTED`
`AFTER_ACTION`
`BEFORE_ACTION`
`FAILED`
`IGNORED`
`STARTED`
`SUCCEEDED`

### Method Summary

All Methods Static Methods Concrete Methods
`static TriggerEventProcessorStage` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TriggerEventProcessorStage[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STARTED

    public static final TriggerEventProcessorStage STARTED

#### ABORTED

    public static final TriggerEventProcessorStage ABORTED

#### SUCCEEDED

    public static final TriggerEventProcessorStage SUCCEEDED

#### FAILED

    public static final TriggerEventProcessorStage FAILED

#### BEFORE_ACTION

    public static final TriggerEventProcessorStage BEFORE_ACTION

#### AFTER_ACTION

    public static final TriggerEventProcessorStage AFTER_ACTION

#### IGNORED

    public static final TriggerEventProcessorStage IGNORED

### Method Detail

#### values

    public static TriggerEventProcessorStage[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TriggerEventProcessorStage c : TriggerEventProcessorStage.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TriggerEventProcessorStage valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null